package md

type GetPriceCurveResp struct {
	XData []interface{} `json:"x_data"`
	YData []interface{} `json:"y_data"`
}

type PointsCenterGetBasicResp struct {
	AvailableEnergy string `json:"available_energy"` // 可用能量
	AvailableCash   string `json:"available_cash"`   // 可用现金
}

type ExchangeEnergyReq struct {
	EnergyAmount string `json:"energy_amount,required"` // 兑换能量数值
}

type GetContributionValueResp struct {
	ContributionValue string `json:"contribution_value"` // 贡献值
	Ratio             string `json:"ratio"`              // 兑换比率(x 分兑换 1 人民币)
}

type ContributionValueFlowNode struct {
	Title     string `json:"title"`     // 标题
	CreateAt  string `json:"create_at"` // 完成时间
	Direction string `json:"direction"` // 方向： 1.收入 2.支出
	Amount    string `json:"amount"`    // 变更数量
}

type GetContributionValueFlowResp struct {
	List     []ContributionValueFlowNode `json:"list"`
	Paginate Paginate                    `json:"paginate"`
}
